import express from "express";
import cors from "cors";

import { initialConfig } from "./config/initialConfig.js";
import { conectarBanco } from "./config/dbConnect.js";
import routes from "./routes/index.js";

await initialConfig();
await conectarBanco();

const app = express();

// habilitando o uso de json pelo express
app.use(express.json());
app.use(express.urlencoded({ extended: false }));

// Habilita o CORS para todas as origens
app.use(cors());

// Passando para o arquivo de rotas o app, que envia junto uma instância do express
routes(app);

export default app;
