import "dotenv/config";

import { conectarBanco, desconetarBanco } from "../config/dbConnect.js";
import { initialConfig } from "../config/initialConfig.js";

import { CodigoRepository } from "../models/Codigo.js";

import { ProblemaRepository } from "../models/Problema.js";
import { UsuarioRepository } from "../models/Usuario.js";
import problemaSeed from "./problemaSeed.js";

await initialConfig();

// Conectar ao banco
try {
    await conectarBanco();

    // Deletar tudo do banco
    await UsuarioRepository.getInstance().deleteEverything();
    await CodigoRepository.getInstance().deleteEverything();

    // Inserir dados
    await problemaSeed(ProblemaRepository.getInstance());

} finally {
    // Desconectar do banco
    await desconetarBanco();
}