import { MongoMemoryServer } from "mongodb-memory-server";
import dotenv from "dotenv";

export default async function setupJest() {
	dotenv.config();

	// This will create an new instance of "MongoMemoryServer" and automatically start it
	const mongod = await MongoMemoryServer.create();

	process.env.DB_URL = mongod.getUri();
	//console.log("Iniciado banco, DB_URL: ", process.env.DB_URL);

	// Set reference to mongod in order to close the server during teardown.
	(globalThis as any).__MONGOD__ = mongod;
}