import MainContainer from "@/components/MainContainer";
import { CodigoGetSchema } from "@/schemas/Codigo";
import { apiFetch } from "@/utils/fetchApi";
import Link from "next/link";
import { z } from "zod";

export default async function ListagemCodigosEnviados() {
    // useEffect?
    const fetchResult = await apiFetch(z.array(CodigoGetSchema), "GET", "/codigos");
    const codigos = fetchResult.data;
    
    return (<MainContainer>
        <p className="text-lg font-medium mb-4 mt-4">Listagem de Códigos Enviados</p>
        <p className="mb-4">Aqui você pode ver ultimos códigos que você enviou para avaliação.</p>
        <ul>
            {
                codigos.map(codigo => {
                    return (<li
                        className="p-4 hover:bg-secondary hover:text-secondary-foreground"
                        key={codigo._id}>
                            <Link href={`/codigos/${codigo._id}`}>
                                <strong>{codigo.status}</strong> - {codigo.linguagem}
                            </Link>
                    </li>
                    );
                })
            }
        </ul>
    </MainContainer>);
}