"use client";
import { useActionState } from "react";
import { submitLogin } from "@/actions/authAction";
import EstaLogadoClient from "@/components/EstaLogadoClient";
import RedirecionaParaPagina from "@/components/RedirecionarRef";
import { useSearchParams } from "next/navigation";
import MainContainer from "@/components/MainContainer";

// https://nextjs.org/docs/app/building-your-application/data-fetching/server-actions-and-mutations
export default function TelaLogin() {
  const params = useSearchParams();

  const [formState, action] = useActionState(submitLogin, undefined);
  const errors = formState?.errors || [];

  return <MainContainer>
      <div className="flex justify-center items-center h-screen min-w-96">
        <div className="bg-white p-5 rounded-lg shadow-lg">
          <h1 className="text-2xl font-bold">Login</h1>
          <form action={action} className="p-4">
            <input type="hidden" name="ref" value={params.get("ref") || ""} />
            <label htmlFor="email">Email</label>
            <input type="email" name="email" className="w-full border border-gray-300 rounded p-2" />
            <span className="text-red-500 block mb-2 text-sm text-left">{errors.find(e => e.path === "email")?.message}</span>
            <label htmlFor="senha">Senha</label>
            <input type="password" name="senha" className="w-full border border-gray-300 rounded p-2" />
            <span className="text-red-500 block mb-2 text-sm text-left">{errors.find(e => e.path === "senha")?.message}</span>
            <button type="submit" className="w-full bg-primary text-primary-foreground p-2 rounded mt-2">Entrar</button>
          </form>
        </div>
      </div>
  </MainContainer>;
}
