import { apiFetch } from "@/utils/fetchApi";
import { ProblemaGet, ProblemaGetSchema } from "@/schemas/Problema";
import { CodigoGet, CodigoGetSchema } from "@/schemas/Codigo";
import ProgressoAvaliar from "../progressoAvaliar";
import { DetalhesProblema } from "../../problemas/detalhesProblema";
import MainContainer from "@/components/MainContainer";

export default async function Codigo(props: Readonly<{ params: Promise<{ id: string }> }>) {
    const params = await props.params;
    const { data: codigoResult } = await apiFetch(CodigoGetSchema, "GET", `/codigos/${params.id}`);
    const { data: problemaResult } = await apiFetch(ProblemaGetSchema, "GET", `/problemas/${codigoResult.problema}`);

    return (<MainContainer>
        <div className="p-5">
            <DetalhesProblema problema={problemaResult} editavel={false} />
            <br/>
            Código Enviado:
            <pre className="bg-gray-100 p-4 rounded-lg">{
                codigoResult.codigo
            }</pre>
            <ProgressoAvaliar problema={problemaResult} codigo={codigoResult} /> 
        </div>
    </MainContainer>);
}
