import type { Metadata } from "next";
import { Inter } from "next/font/google";
import "./globals.css";
import { cn } from "@/lib/utils";
import { obterEstadoGlobalInicial } from "@/actions/authAction";
import EstadoGlobal from "./EstadoGlobal";
import EstaLogado from "@/components/EstaLogado";
import AppBar from "@/components/AppBar";

const inter = Inter({
  subsets: ["latin"],
  variable: "--font-sans"
});

export const metadata: Metadata = {
  title: "Avaliador",
  description: "Site avaliador de códigos",
};

export default async function RootLayout({ children }: Readonly<{
  children: React.ReactNode;
}>) {
  const estado = await obterEstadoGlobalInicial();    

  return (
    <html className="h-full" lang="pt-BR">
      <body className={cn("h-full bg-background font-sans antialiased", inter.variable)}>
        <EstadoGlobal estado={estado}>
          {children}
        </EstadoGlobal>
      </body>
    </html>
  );
}