import { apiFetch } from "@/utils/fetchApi";
import { ProblemaGet, ProblemaGetSchema } from "@/schemas/Problema";
import EditarProblema from "./editarProblema";
import MainContainer from "@/components/MainContainer";

export default async function Codigo(props: Readonly<{ params: Promise<{ sigla: string }> }>) {
    const params = await props.params;
    let problema: ProblemaGet | undefined;
    try {
        const { data } = await apiFetch(ProblemaGetSchema, "GET", `/problemas/${params.sigla}`);
        problema = data;
    } catch (error) {
        console.error(error);  
    }

    return (<MainContainer>
        <div className="p-5">
            <EditarProblema problema={problema} />
        </div>
    </MainContainer>);
}
