import { apiFetch } from "@/utils/fetchApi";
import {  ProblemaGetSchema } from "@/schemas/Problema";
import FormularioProblema from "../formularioProblema";
import { DetalhesProblema } from "../detalhesProblema";
import EstaLogado from "@/components/EstaLogado";
import MainContainer from "@/components/MainContainer";
import { Col, Row } from "@/components/layout/RowCol";

export default async function Problemas(props: Readonly<{ params: Promise<{ sigla: string }> }>) {
    const params = await props.params;
    // useEffect?
    const { data } = await apiFetch(ProblemaGetSchema, "GET", `/problemas/${params.sigla}`);

    if(!data || Array.isArray(data)) {
        return <h2>Erro ao obter Problema, tente novamente mais tarde</h2>;
    }

    return (<MainContainer fitScreen={true}>
        <EstaLogado se={<Row className="w-full flex-wrap grow items-stretch">
            <Col className="shrink-0 grow w-md">
                <DetalhesProblema problema={data} editavel={true}/>
            </Col>
            <Col className="shrink-0 grow w-xl items-stretch">
                <FormularioProblema params={params}/>
            </Col>
        </Row>}
        senao={
            <DetalhesProblema problema={data} editavel={false}/>
        }
        />
    </MainContainer>);
}
