import "server-only";

import { verificaLogin } from "@/actions/authAction";
import EstaLogadoClient from "./EstaLogadoClient";
import RecarregarPagina from "./RecarregarPagina";

export default async function EstaLogado({se, senao}: Readonly<{
    se: React.ReactNode,
    senao?: React.ReactNode
  }>) {
    let estaLogado = await verificaLogin();

    // Verifica no lado cliente denovo, se der diferente do lado servidor, força recarregamento da página
    // Garantindo assim menor chances de exibir estados inconsistentes entre cliente e servidor
    if(estaLogado) {
        return (<>
            <EstaLogadoClient se={<></>} senao={<RecarregarPagina/>}  />
            {se}
        </>);
    } else {
        return (<>
            <EstaLogadoClient se={<RecarregarPagina/>} senao={<></>}  />
            {senao ? senao : <></>}
        </>);
    }
}