"use client";
import { GlobalContext } from "@/app/EstadoGlobal";
import { useContext} from "react";
//import dynamic from "next/dynamic";

// O estado é só para garantir que o componente só seja renderizado no lado cliente
// Já que se acontecer SSR o cookie não vai ser acessível e causa e erro de hydrate
export default function EstaLogadoClient({se, senao}: Readonly<{
    se: React.ReactNode,
    senao?: React.ReactNode
  }>) {
    const context = useContext(GlobalContext);
    const logado = context.getEstado.ESTA_LOGADO;

    if(logado === true) {
        return se;
    } else if(logado === false) {
        return senao ? senao : <></>;
    } else {
        console.error("ESTADO GLOBAL NÃO DEFINIDO");
        return <></>;
    }
}