import { cn } from "@/lib/utils";
import AppBar from "./AppBar";
import EstaLogadoClient from "./EstaLogadoClient";
import { Col } from "./layout/RowCol";

export default function MainContainer({ className, fitScreen, children }: Readonly<{
    className?: string;
    fitScreen?: boolean;
    children: React.ReactNode;
  }>) {
    return (<Col className={fitScreen ? "w-full min-h-full" : "w-full max-h-max"}>
        <EstaLogadoClient
              se={
                  <AppBar estaLogado={true}/>
              } senao={
                  <AppBar estaLogado={false}/>
              }
          />
        <Col Elem={"main"} className={cn("container m-auto relative bg-background", 
            fitScreen && "grow",
            className
        )}>
            {children}
        </Col>
    </Col>);
}
