"use client";
import { useRouter, useSearchParams } from "next/navigation";
import { useEffect } from "react";

export default function RedirecionaParaPagina({ url, paramsRef }: Readonly<{url?: string, paramsRef?: boolean}>) {
    const router = useRouter();
    const searchParams = useSearchParams();

    useEffect(() => {
      let refUrl: string | null | undefined = undefined;

      if(url) {
        refUrl = url;
      } else if(paramsRef) {
        refUrl = searchParams.get("ref");
      }
      
      if(!refUrl) {
        refUrl = "/";
      }
      // Redireciona para página
      console.log("Redirecionando para", refUrl);
      router.replace(refUrl);
    }, [router, searchParams, url, paramsRef]);

    return <>Redirecionando...</>;
}