import { cn } from "@/lib/utils";

const DEBUG = false;

export function Txt({ className, children }: Readonly<{
    className?: string;
    children: string;
}>) {
    return <p className={cn("overflow-hidden text-ellipsis",className)}>{children}</p>;
}

export function Spacer() {
    return <div className={cn("min-w-0 grow", DEBUG && "border-2 border-purple-500")}></div>;
}

// inspirado por CLAY
// https://www.youtube.com/watch?v=by9lQvpvMIc
type CaixaProps = {
    className?: string;
    children: React.ReactNode;
    Elem?: React.ElementType;
}

export function Row({...props}: Readonly<CaixaProps>) {
    let Elem = props.Elem || "div";
    return <Elem className={cn("flex flex-row items-start box-border overflow-hidden max-w-full",
        DEBUG && "border-2 border-indigo-600 rounded-sm",
        props.className)
    }>{
        props.children
    }</Elem>;
}

export function Col(props: Readonly<CaixaProps>) {
    let Elem = props.Elem || "div";
    return <Elem className={cn("flex flex-col items-start box-border overflow-hidden",
        DEBUG && "border-2 border-pink-600 rounded-sm",
        props.className)
    }>{
        props.children
    }</Elem>;
}