import { z } from "zod";

export const codigoTesteResultado = ["Executando", "Sucesso", "Erro", "Timeout", "Diferente", "Formatacao"] as const;
export const codigoStatus = ["Enviado", "Avaliando", "Sucesso", "Erro"] as const;

export const CodigoPostSchema = z.object({
    codigo: z.string().min(1).max(64000), // 64KB?
    linguagem: z.string()
});
export const CodigoGetSchema = z.object({
    _id: z.string(),
    __v: z.number(),
    codigo: z.string(),
    problema: z.string(),
    linguagem: z.string(),
    status: z.enum(codigoStatus),
    data_envio: z.string(),
    testes: z.array(z.object({
        num: z.number(),
        saida: z.string().optional(),
        resultado: z.enum(codigoTesteResultado),
        argumentos: z.array(z.string()).optional(),
        distancia: z.number().optional(),
        tempo: z.number().optional(),
        data_processado: z.string().optional()
    })),
    usuario: z.string().optional(),
    data_recebido: z.string().optional(),
    data_avaliado: z.string().optional()
});

export type CodigoPost = z.infer<typeof CodigoPostSchema>;
export type CodigoGet = z.infer<typeof CodigoGetSchema>;